Bug 41401 - Distribution menu for images or other objects has not a natural result
Summary: Distribution menu for images or other objects has not a natural result
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.4.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Draw-Images
  Show dependency treegraph
 
Reported: 2011-10-02 04:56 UTC by Rpnpif
Modified: 2021-09-29 04:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example with Tux (53.58 KB, application/vnd.oasis.opendocument.graphics)
2011-10-02 05:04 UTC, Rpnpif
Details
The images to distribute (64.06 KB, application/vnd.oasis.opendocument.graphics)
2014-10-06 09:38 UTC, Rpnpif
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rpnpif 2011-10-02 04:56:00 UTC
Dispose 6 images on a page on 3 rows and 2 columns.
First row : image n.1 and n.2, second row : image n.3 and n.4 and third row, image 5 and 6.

Select all and in the contextual menu, choose distribution with top of vertical mode only.

Result : From top to bottom, the images are arranged as this (no change of column) : 2 on the top, 1, 3, 4, 5, 6. This is not natural and not usable.

Expected result : On the first column, the 3 images of this column are distributed with the same distance versus the top of the images. On the second column, the 3 images of this column are distributed also with the same distance with their tops.
Comment 1 Rpnpif 2011-10-02 05:04:44 UTC
Created attachment 51876 [details]
Example with Tux
Comment 2 Björn Michaelsen 2011-12-23 12:33:45 UTC Comment hidden (obsolete)
Comment 3 Florian Reisinger 2012-08-14 13:57:49 UTC
Dear bug submitter!

Due to the fact, that there are a lot of NEEDINFO bugs with no answer within the last six months, we close all of these bugs.

To keep this message short, more infos are available @ https://wiki.documentfoundation.org/QA/NeedinfoClosure#Statement

Thanks for understanding and hopefully updating your bug, so that everything is prepared for developers to fix your problem.

Yours!

Florian
Comment 4 Florian Reisinger 2012-08-14 13:59:08 UTC Comment hidden (obsolete)
Comment 5 Florian Reisinger 2012-08-14 14:03:41 UTC Comment hidden (obsolete)
Comment 6 Florian Reisinger 2012-08-14 14:05:56 UTC Comment hidden (obsolete)
Comment 7 Rpnpif 2012-09-01 09:02:44 UTC
No changes with stables releases now.
Comment 8 Rpnpif 2014-09-01 05:26:07 UTC
This bug is still in LO 4.3.1.2.
Comment 9 ign_christian 2014-09-01 09:36:26 UTC
Should be UNCONFIRMED. No confirmation from others yet.
Comment 10 Jean-Baptiste Faure 2014-10-05 16:06:52 UTC
According to the online help, I do not see where would be the bug.
Please, could you elaborate a bit more?
Did you try other distribution options?

Set status to NEEDINFO. Please set it back to UNCONFIRMED once you have provided requested informations. Thank you for your understanding.

Best regards. JBF
Comment 11 Rpnpif 2014-10-06 09:35:42 UTC
(In reply to Jean-Baptiste Faure from comment #10)
> According to the online help, I do not see where would be the bug.
> Please, could you elaborate a bit more?
> Did you try other distribution options?

I'll explain more here, Jean-Baptiste.

On the beginning, the images are arranged with column but approximatively.

The aim is to get the distribution as the first page of https://bugs.freedesktop.org/attachment.cgi?id=51876.

With the contextual menu, we cannot easily get this result as in other software.
Vertical distribution is not enough smart. It should recognise the placement in column and work column by column.

Else, I think that this function is not really usable.

Try to distribute this attachment that I'll sent.
I think that this function is really unusable.

Regards.
Comment 12 Rpnpif 2014-10-06 09:38:00 UTC
Created attachment 107409 [details]
The images to distribute

It is difficult to distribute these images with the distribute function.
Comment 13 tommy27 2014-12-11 08:47:29 UTC
(In reply to Rpnpif from comment #12)
> Created attachment 107409 [details]
> The images to distribute
> 
> It is difficult to distribute these images with the distribute function.

confirmed with LibO 4.3.4.1 under Win8.1 x64
Comment 14 QA Administrators 2015-12-20 16:08:38 UTC Comment hidden (obsolete)
Comment 15 Rpnpif 2015-12-20 17:33:33 UTC
The release 5.0.4 has at the best the same issue or perhaps it is worse.

I think that, on this moment, the distribute function is inefficient.
Comment 16 QA Administrators 2017-01-03 19:46:56 UTC Comment hidden (obsolete)
Comment 17 Rpnpif 2017-01-04 14:48:47 UTC
No change in LO 5.2.4. The distribution is with a logic which is unknown for me.
As a blur logic.
Comment 18 QA Administrators 2018-01-05 03:42:14 UTC Comment hidden (obsolete)
Comment 19 Rpnpif 2018-01-05 10:55:31 UTC
No changes with LO Version: 6.0.0.0.beta2
Build ID: 13edaaa12f25de343fce136064e27da66c1c4fa4
Threads CPU : 2; OS : Linux 4.9; UI Render : par défaut; VCL: gtk2; 
Locale : fr-FR (fr_FR.utf8); Calc: group threaded.

The distribution is still made in a joyful disorder.

Following comment #13, all OS affected.
Comment 20 QA Administrators 2019-09-29 03:08:15 UTC Comment hidden (obsolete)
Comment 21 Rpnpif 2019-09-29 08:12:58 UTC
No change with LibreOffice 6.3.3.
Thanks.
Comment 22 QA Administrators 2021-09-29 04:02:44 UTC
Dear Rpnpif,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug